This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 71471 - Unable to set sender address of crond generated emails
Unable to set sender address of crond generated emails
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-13 20:29 EDT by Robert Clark
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:28:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to vixie-cron-3.0.1 to make the sender address user-configurable. (2.07 KB, patch)
2002-08-15 20:12 EDT, Robert Clark
no flags Details | Diff

  None (edit)
Description Robert Clark 2002-08-13 20:29:40 EDT
Crond from vixie-cron doesn't set the sender address in generated emails. In
most cases, this means that it ends up being constructed by the MTA as
<root@server.example.com>, <root@localhost> or even just <root>.

Often, this won't be a valid email address meaning the generated email will be
rejected by a lot of mail servers. Even where it is a valid address, it's
unlikely to be the one that a bounced cron email should go to.

Probably the best way around this is to allow the user to set the emails' sender
address in /etc/crontab as with MAILTO.
Comment 1 Jens Petersen 2002-08-15 05:57:18 EDT
Glancing at the code it seems to be hardset to

From: root (Cron Daemon)

Perhap sendmail is massaging the address?
Comment 2 Robert Clark 2002-08-15 20:10:02 EDT
Yep, the "From:" header is set to "root (Cron Daemon)", but the SMTP (envelope)
sender address used once the email leaves the machine is constructed by the MTA
based on the uid that /usr/sbin/sendmail was run by (and also on how it is
configured). Specifying a valid sender address explicitly to /usr/sbin/sendmail
using the -f flag means the MTA doesn't have to guess what the sender address
should be.

Using an invalid SMTP sender address isn't a serious problem until the email has
to pass through a mail server which is configured to check the SMTP sender
address for validity and it ends up being bounced.
Comment 3 Robert Clark 2002-08-15 20:12:09 EDT
Created attachment 70985 [details]
Patch to vixie-cron-3.0.1 to make the sender address user-configurable.
Comment 4 Robert Clark 2002-08-15 20:30:21 EDT
Added a quick patch to illustrate the kind of changes I'm talking about. (C
isn't my first language, so it may not be great).
Comment 5 Bill Nottingham 2006-08-05 00:18:05 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 6 Bill Nottingham 2006-10-18 12:28:19 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.